Package helma.framework.core

# Class AppClassLoader

java.lang.Object
java.lang.ClassLoader
java.security.SecureClassLoader
java.net.URLClassLoader
helma.framework.core.AppClassLoader

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

public class AppClassLoader extends URLClassLoader
ClassLoader subclass with package accessible addURL method.

## Constructor Summary

Constructors
Constructor
Description
`AppClassLoader(String appname, URL[] urls)`
Create a HelmaClassLoader with the given application name and the given URLs

## Method Summary

Modifier and Type
Method
Description
`protected void`
`addURL(URL url)`
`String`
`getAppName()`
`String`
`toString()`

### Methods inherited from class java.net.URLClassLoader

`close, definePackage, findClass, findResource, findResources, getPermissions, getResourceAsStream, getURLs, newInstance, newInstance`

### Methods inherited from class java.security.SecureClassLoader

`defineClass, defineClass`

### Methods inherited from class java.lang.ClassLoader

`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findSystemClass, getClassLoadingLock, getDefinedPackage, getDefinedPackages, getName, getPackage, getPackages, getParent, getPlatformClassLoader, getResource, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, getUnnamedModule, isRegisteredAsParallelCapable, loadClass, loadClass, registerAsParallelCapable, resolveClass, resources, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AppClassLoader

public AppClassLoader(String appname, URL[] urls)
Create a HelmaClassLoader with the given application name and the given URLs

## Method Details

### addURL

protected void addURL(URL url)

Overrides:
  `addURL` in class `URLClassLoader`

### getAppName

public String getAppName()

Returns:
  ...

### toString

public String toString()

Overrides:
  `toString` in class `Object`